# Upgrade from ```7.x.x``` to ```8.x.x```

## Migrate the Authors

A new author table was introduced, so you need to execute the following migration wizard.

```Migrate all news authors to the new author table for each site root.```

## Add the routing for the new author news plugin

Add this routeEnhancer configuration to your config.yaml.
```
routeEnhancers:
	NewsByAuthor:
        type: Extbase
        extension: SgNews
        plugin: NewsByAuthor
        routes:
          - routePath: '/{authorTitle}'
            _controller: 'NewsByAuthor::list'
            _arguments: { 'authorTitle': authorId }
        defaultController: 'NewsByAuthor::list'
        aspects:
          authorTitle:
            type: PersistedAliasMapper
            tableName: tx_sgnews_domain_model_author
            routeFieldName: path_segment
```

# Upgrade from ```6.x.x``` to ```7.x.x```

In Version 7, we rewrote all included JavaScript to ES6 modules. This means that they won't be included in your site automatically when you install the extension.

## Importing the sgnews bundle in your main project

sg_news offers a front-package that imports all sub modules and initilaizes them correctly. You can import this in your bundle like that:

```js
import SgNews from 'sgnews';
new SgNews();
```

### Mapping ```sgnews``` to the extension JavaScript

In order for your module bundler to find the ```sgnews``` package, you need to add the path to your configuration. If you are using the SGC, you can add the following to your ```.sgc-config.json```

```js
{
	"js": {
		"libraryPaths": [
			...
			"./web/typo3conf/ext/sg_news/Resources/Public/JavaScript/"
		]
	}
}
```

## Version 9 Breaking Changes

- Dropped TYPO3 8 support
